Retrieve Report Template using ID

GET /pcrs/1.0/report/template/{id}

Retrieves details of a single report template, including all settings.

Input ParametersInput Parameters

Parameter Name

Required / Optional

Data Type

Description

id Required Integer Enter the template ID for which details are to be retrieved.

Sample - Get Report Template by IDSample - Get Report Template by ID

API Request

curl -X GET "<gateway_base_url>/pcrs/1.0/report/template/4658187" \
  -H "Authorization: Bearer <JWT Token>" \
  -H "Accept: application/json"

JSON Output

{
    "templateId": 4658187,
    "title": "My Mandate Template",
    "type": "mandate",
    "isGlobal": true,
    "owner": "quays_zd38",
    "createdAt": "2026-07-24T09:27:42Z",
    "settings": {
        "group.by": "1",
        "filter.policy.controls": "true",
        "report.settings": "true",
        "report.summary": "true",
        "graph.mandate": "true",
        "graph.requirement": "true",
        "graph.policy": "true",
        "details": "true",
        "control.posture": "true",
        "glossary": "true",
        "include_posture_status": "0,1,2",
        "include_control_criticality": "0,1,2,3,4,5"
    }
}

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.